package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ftacbs extends AbstractCommonVo {
    
    private Cbb max;

    private Cbb opn1;

    private Cbb opn2;

    private Cbb ins;

    @Override
    public void reset() {
        super.reset();
        if (max == null) {
            max = new Cbb();
        }
        if (ins == null) {
            ins = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (opn2 == null) {
            opn2 = new Cbb();
        }
    }
}
